Bug 679948 - Octave headers is in wrong directory.
Summary: Octave headers is in wrong directory.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: swig
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Tkac
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-23 22:54 UTC by D Haley
Modified: 2013-04-30 23:48 UTC (History)
7 users (show)

Fixed In Version: swig-2.0.4-2.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-25 01:58:26 UTC
Type: ---


Attachments (Terms of Use)

Description D Haley 2011-02-23 22:54:12 UTC
In rawhide, octave headers (3.4.0-3.fc15.x86_64) are installed into /usr/include/octave-%{version}/octave

they should simply be in /usr/include/octave/

This is causing a buildfailure on my package.

Comment 1 Orion Poplawski 2011-02-23 23:38:53 UTC
This is no different then before (/usr/include/octave-3.2.4/octave). 
Although it seems that octave-config -p OCTINCLUDEDIR behaves different:

[root@orca ~]# octave-config -p OCTINCLUDEDIR
/usr/include/octave-3.2.4

[root@vmrawhide ~]# octave-config -p OCTINCLUDEDIR
/usr/include/octave-3.4.0/octave

Hmmm.

Comment 2 Orion Poplawski 2011-02-24 03:14:28 UTC
Intentional behavior: https://mailman.cae.wisc.edu/pipermail/help-octave/2011-January/044272.html

Comment 3 D Haley 2011-02-25 21:36:07 UTC
Sorry to be a jerk, but i have to re-open this. The change breaks swig generated cpp files. generated with 
 
swig -octave -c++ inputfile.i

I've CCd the swig maintainers.

I could dynamically patch this by modifying the makefiles to sed the include, but that seems stupid.

Comment 4 Orion Poplawski 2011-02-25 22:55:09 UTC
I'm not surprised the change has broken things.  But this is the expected, upstream defined behavior.  Either file a bug with octave upstream and convince them it is a bad change, or swig will need to be modified to adapt to the changes.

Comment 5 D Haley 2011-02-26 00:34:51 UTC
Sorry, don't quite get it -- the swig maintainer is CCd on this thread, and should thus be aware of the problem, and might want to weigh in -- is there anything else that needs to be done until then?

Comment 6 Adam Tkac 2011-02-28 10:03:24 UTC
I will modify swig to use correct include directory.

Comment 7 Adam Tkac 2011-11-15 10:32:26 UTC
Swig upstream addressed Octave 3.4.0 compatibility in this ticket:

http://sourceforge.net/tracker/?func=detail&aid=3387394&group_id=1645&atid=301645

I will include the fix in next swig but you will have to add -I/usr/include/octave-3.4.0/octave to the g++ command line to make generated source compilable...

Comment 8 Fedora Update System 2011-11-15 13:06:45 UTC
swig-2.0.4-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/swig-2.0.4-4.fc16

Comment 9 Fedora Update System 2011-11-15 13:06:59 UTC
swig-2.0.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/swig-2.0.4-2.fc15

Comment 10 Fedora Update System 2011-11-16 00:24:34 UTC
Package swig-2.0.4-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing swig-2.0.4-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-15909
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-11-25 01:58:26 UTC
swig-2.0.4-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-11-25 02:04:30 UTC
swig-2.0.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.